// Genesaver: copyright 2003 Sam Stafford.

//Enums, constants, and the like.
enum Color { Black, Grey, Green, Red, Blue, Yellow, Cyan, Magenta };

struct Settings
{
	bool save;		//save on exit
	short mutate;	//# mutations per procreation
	char camera;	//camera mode
	bool visible;	//animals visible in world view
};

extern Settings settings;

#define A_R 20					//Max animal radius
#define A_S	0.5					// Max animal speed as a multiple of radius
#define A_D 10					// Amount of color an animal can eat per step.
#define A_V 60					// Visual distance in image-pixels.

#define D_M settings.mutate		//Number of times to mutate DNA on a split

#define W_P	15					//World population (constant)
#define W_F 500					//Number of steps per fitness check
#define W_I 50000				//Number of steps per image rotation
#define W_A settings.visible	//display animals in world view?
#define W_S settings.save		//save genes on exit?
#define W_C 0.9 				//percent diff consumption to force an autoswap

#define N_R 0.015				//Neuron radius when rendering brain
#define N_L 0.03				//Neuron label "radius"
#define NULL 0					//null

#include "util.h"

